<!--
  Generated template for the ChatsinglePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToTabs()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title (click)="chatSetting()">{{ selectedUsersName }}</ion-title>
    <img-loader src="{{ selectedUserPhotoURL }}" class="chat-person-avatar" imageViewer="{{ selectedUserPhotoURL }}" useImg></img-loader>
  </ion-navbar>

</ion-header>


<ion-content padding>
	<!--<div id="chatMessages">
		<div *ngFor="let message of chatMessagesList$ | async; let i=index; let last = last;" class="message">
			<div [hidden]="message.message == ''">
				<div [class]="message.sender == ownUserID ? 'innerMessage messageRight' : 'innerMessage messageLeft'">
					<div class="username" *ngIf="message.sender != ownUserID">{{ selectedUsersName }}</div>
					<div *ngIf="message.type == 'messages'">
						<div class="messageContent" (load)="scrollAfterFewSecond()">{{ message.message }}</div>
					</div>
					<div *ngIf="message.type == 'images'">
						<div class="messageContent" (load)="scrollAfterFewSecond()">
							<img src="{{ message.message }}" imageViewer>
						</div>
					</div>
					{{ scroll(last, i) }}
				</div>
			</div>
		</div>
	</div>-->
	
	<!-- For better load images approaches -->
	<div id="chatMessages">
		<div *ngFor="let message of allMessages; let i=index; let last = last;" class="message">
			<div [hidden]="message.message == ''">
				<div [class]="message.sender == ownUserID ? 'innerMessage messageRight' : 'innerMessage messageLeft'">
					<div class="username" *ngIf="message.sender != ownUserID">{{ selectedUsersName }}</div>
					<div *ngIf="message.type == 'messages'">
						<div class="messageContent" (load)="scrollAfterFewSecond()">{{ message.message }}</div>
					</div>
					<div *ngIf="message.type == 'images'">
						<div class="messageContent">
							<img-loader src="{{ message.message }}" imageViewer="{{ message.message }}" (load)="scrollAfterFewSecond()" useImg></img-loader>
						</div>
					</div>
					{{ scroll(last, i) }}
				</div>
			</div>
		</div>
	</div>
	<!-- ================================= -->
</ion-content>

<ion-footer>
	<ion-toolbar>
		<div id="footer">
			<div class="elem"><button ion-button icon-only color="dark" (click)="openOptions(ChatSingleMsg)"><ion-icon name="add"></ion-icon></button></div>
			<div class="elem"><ion-input type="text" [(ngModel)]="message" class="chat-input-box"></ion-input></div>
			<div class="elem"><button ion-button icon-only color="dark" (click)="sendMessage(ChatSingleMsg)"><ion-icon name="send"></ion-icon></button></div>
		</div>
	</ion-toolbar>
</ion-footer>
